## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanEXSLTStringFunctionsInstaller Class Reference

`#include <XalanEXSLTString.hpp>`

Inheritance diagram for XalanEXSLTStringFunctionsInstaller:

[legend]
Collaboration diagram for XalanEXSLTStringFunctionsInstaller:

[legend]
List of all members.

## Static Public Methods

- void installLocal (XPathEnvSupportDefault &theSupport)
- void installGlobal (MemoryManagerType &theManager)
- void uninstallLocal (XPathEnvSupportDefault &theSupport)
- void uninstallGlobal (MemoryManagerType &theManager)

## Member Function Documentation

void XalanEXSLTStringFunctionsInstaller::installGlobal ( | MemoryManagerType & theManager )`[static]`

| Reimplemented from XalanExtensionsInstaller.

void XalanEXSLTStringFunctionsInstaller::installLocal ( | XPathEnvSupportDefault & theSupport )`[static]`

| Reimplemented from XalanExtensionsInstaller.

void XalanEXSLTStringFunctionsInstaller::uninstallGlobal ( | MemoryManagerType & theManager )`[static]`

| Reimplemented from XalanExtensionsInstaller.

void XalanEXSLTStringFunctionsInstaller::uninstallLocal ( | XPathEnvSupportDefault & theSupport )`[static]`

| Reimplemented from XalanExtensionsInstaller.

The documentation for this class was generated from the following file:

- XalanEXSLTString.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.